import request from '@/utils/request'

// 查询回访客户记录列表
export function listCsCustomerFollow(query) {
  return request({
    url: '/cs/csCustomerFollow/list',
    method: 'get',
    params: query
  })
}

// 查询回访客户记录详细
export function getCsCustomerFollow(customerFollowId) {
  return request({
    url: '/cs/csCustomerFollow/' + customerFollowId,
    method: 'get'
  })
}

// 新增回访客户记录
export function addCsCustomerFollow(data) {
  return request({
    url: '/cs/csCustomerFollow',
    method: 'post',
    data: data
  })
}

// 修改回访客户记录
export function updateCsCustomerFollow(data) {
  return request({
    url: '/cs/csCustomerFollow',
    method: 'put',
    data: data
  })
}

// 删除回访客户记录
export function delCsCustomerFollow(customerFollowId) {
  return request({
    url: '/cs/csCustomerFollow/' + customerFollowId,
    method: 'delete'
  })
}
